<!-- IGAC proyecto SNC 

@author juan.agudelo		 
@description Desbloquear predio
@cu CU-CO-R-04
@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2 
@modified by leidy.gonzalez::#12497::02/05/2015 Se elimina dialgo Gestión de desbloqueo 
de predio agregandolo en un panel
-->

<ui:composition xmlns="http://www.w3.org/1999/sxhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="content">
        <!-- CASO DE USO CU-NP-CO-057 -->

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:messages id="msgsDBP" showDetail="false" globalOnly="false" />

        <p:spacer height="9" width="0" />
        <h:form id="bloquearPredioForm" prependId="false">
            <h:panelGrid cellspacing="7" width="100%" id="panelParametrosBusqueda">
                <p:fieldset toggleable="false">
                    <legend>
                        <h:outputText value="Datos de búsqueda" styleClass="legendTitle" />
                    </legend>

                    <p:spacer height="8" width="0" />

                    <h:panelGrid columns="10" cellspacing="7">

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Departamento:"
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGroup>
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="busquedaPrediosBdepartamento"
                                                 label="Departamento" required="true"
                                                 value="#{desbloqueoPredio.selectedDepartamentoCod}">
                                    <f:selectItems
                                        value="#{desbloqueoPredio.deptosEntidadItemList}" />
                                    <p:ajax process="@this" update="bloquearPredioForm"
                                            listener="#{desbloqueoPredio.onChangeDepartamentos}"
                                            onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();funcionCambioDpto();" />
                                </h:selectOneMenu>
                                <p:message id="departamentoMsg"
                                           for="busquedaPrediosBdepartamento" display="icon" />
                                <p:commandLink id="btnOrdenDepartamentos"
                                               update="btnOrdenDepartamentos, busquedaPrediosBdepartamento"
                                               title="Ordenar departamentos"
                                               action="#{desbloqueoPredio.cambiarOrdenDepartamentos}"
                                               ajax="true" process="@this" onstart="statusDialog2.show();"
                                               oncomplete="statusDialog2.hide();">
                                    <p:graphicImage
                                        rendered="#{desbloqueoPredio.departamentosOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!desbloqueoPredio.departamentosOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>

                        </h:panelGroup>

                        <h:panelGrid columns="2"
                                     rendered="#{not empty desbloqueoPredio.selectedDepartamentoCod}">
                            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGroup
                            rendered="#{not empty desbloqueoPredio.selectedDepartamentoCod}">
                            <h:panelGrid columns="3">
                                <h:selectOneMenu id="busquedaPrediosBmunicipio"
                                                 label="Municipio" required="true"
                                                 value="#{desbloqueoPredio.selectedMunicipioCod}">
                                    <f:selectItems value="#{desbloqueoPredio.municipiosItemList}" />
                                    <p:ajax process="@this" onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();funcionCambioMunicipio();" />
                                </h:selectOneMenu>
                                <p:message id="municipioMsg" for="busquedaPrediosBmunicipio"
                                           display="icon" />
                                <p:commandLink id="btnOrdenMunicipios" disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                                               update="btnOrdenMunicipios, busquedaPrediosBmunicipio"
                                               title="Ordenar municipios"
                                               action="#{desbloqueoPredio.cambiarOrdenMunicipios}" ajax="true"
                                               process="@this">
                                    <p:graphicImage
                                        rendered="#{desbloqueoPredio.municipiosOrderedByNombre}"
                                        style="border: none" value="/images/sortCode.png" />
                                    <p:graphicImage
                                        rendered="#{!desbloqueoPredio.municipiosOrderedByNombre}"
                                        style="border: none" value="/images/sortText.png" />
                                </p:commandLink>
                            </h:panelGrid>

                        </h:panelGroup>
                    </h:panelGrid>

                    <h:panelGrid columns="3" >

                        <ui:include src="numeroPredialConFormatoDesbP.xhtml" >
                            <ui:param name="objetoCNPredialParam"
                                      value="#{desbloqueoPredio.filtroCPredioB}" />
                            <ui:param name="idParam" value="busquedaPrediosB" />
                        </ui:include>

                        <p:outputPanel layout="block" style="text-align:right">

                            <p:spacer height="0" width="7" />
                            <p:commandButton value="Buscar"
                                             action="#{desbloqueoPredio.buscar}" id="btnBuscar"
                                             onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();"
                                             disabled="#{desbloqueoPredio.banderaEjecutaBusqueda}"
                                             update="bloquearPredioForm, :msgsDBP" icon="ui-icon-search" />
                            <p:spacer height="0" width="60" />

                        </p:outputPanel>
                    </h:panelGrid>
                    <p:spacer height="7" width="0" />

                </p:fieldset>
            </h:panelGrid>

            <p:spacer width="0" height="15" />

            <h:panelGrid cellspacing="7" width="100%" id = "panelListaPrediosDesbloqueo"
                         rendered="#{desbloqueoPredio.banderaBuscar and !desbloqueoPredio.banderaGestionDesbloqueoPredio}">
                <p:dataTable value="#{desbloqueoPredio.lazyAssignedBloqueos}"
                             var="currentBloqueo" id="res" widgetVar="resWV" paginator="true"
                             rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                             emptyMessage="El predio no registra información del marque."
                             rendered="#{desbloqueoPredio.banderaBuscar}"
                             rowKey="#{currentBloqueo.predio.id}">

                    <f:facet name="header">  
                        Resultados de la búsqueda 
                    </f:facet>

                    <p:column>
                        <f:facet name="header">
                            Desmarcar								
                        </f:facet>
                        <p:commandButton icon="ui-icon-unlocked"
                                         action="#{desbloqueoPredio.inicializarDatosDesbloqueo}"
                                         process="@this" update=":bloquearPredioForm:gestionDesbloqueoPredios , :bloquearPredioForm:panelParametrosBusqueda"
                                         label="Desmarcar predio seleccionado"
                                         title="Desmarcar predio seleccionado"
                                         onstart="statusDialog2.show();" ajax="false" immediate="true">
                            <f:setPropertyActionListener
                                target="#{desbloqueoPredio.prediosDesbloqueoSeleccionados}"
                                value="#{currentBloqueo}" />
                        </p:commandButton>
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Número predial								
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.predio.numeroPredial}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Tipo marcación								
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.tipoBloqueo}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            RT								
                        </f:facet>
                        <h:selectBooleanCheckbox  
                            value="#{currentBloqueo.restitucionTierras eq 'SI' ? 'true' : 'false'}"  disabled="true"/>
                    </p:column>


                    <p:column>
                        <f:facet name="header">
                            Fecha inicial								
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.fechaInicioBloqueo}">
                            <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                               locale="es_CO" timeZone="GMT-5" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Fecha final							
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.fechaTerminaBloqueo}">
                            <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                               locale="es" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Fecha Envio						
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.fechaEnvio}">
                            <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                               locale="es" />
                        </h:outputText>
                    </p:column>                                    


                    <p:column>
                        <f:facet name="header">
                            Fecha Recibo						
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.fechaRecibido}">
                            <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                               locale="es" />
                        </h:outputText>
                    </p:column>                                    


                    <p:column>
                        <f:facet name="header">
                            Número Radicación							
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.numeroRadicacion}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Departamento							
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.departamento.nombre}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Municipio							
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.municipio.nombre}" />
                    </p:column>


                    <p:column>
                        <f:facet name="header">
                            Entidad						
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.nombreEntidad}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Motivo marcación								
                        </f:facet>
                        <h:outputText value="#{currentBloqueo.motivoBloqueo}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Documento de soporte								
                        </f:facet>

                        <p:commandLink
                            value="#{currentBloqueo.documentoSoporteBloqueo.archivo}"
                            update=":docVDocSoporte:docViewerCCForm"
                            styleClass="commandLinkStyle"
                            oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                            onstart="statusDialog2.show()"
                            rendered="#{not empty currentBloqueo.documentoSoporteBloqueo.archivo}">
                            <f:setPropertyActionListener
                                target="#{previsualizacionDocumento.documentoAlfresco}"
                                value="#{currentBloqueo.documentoSoporteBloqueo}" />

                        </p:commandLink>

                    </p:column>

                </p:dataTable>
            </h:panelGrid>

            <h:panelGrid id="gestionDesbloqueoPredios" rendered="#{desbloqueoPredio.banderaGestionDesbloqueoPredio and !desbloqueoPredio.banderaBuscar}">


                <h:panelGrid columns="1" cellspacing="0">

                    <p:spacer height="3" width="0" />
                    <h:panelGrid columns="5" cellspacing="0" cellpadding="5">
                        <h:outputLabel value="Tipo de marcación" styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />

                        <h:selectOneMenu id="gestionArchivosTipoBloqueo" label="Debe seleccionar el tipo de marcación."  required="true"
                                         value="#{desbloqueoPredio.selectedTipoBloqueo}">                                                 
                            <f:selectItems value="#{desbloqueoPredio.tiposBloqueoItemList}" />
                            <p:ajax process="@this" update="gestionDesbloqueoPredios"/>        
                        </h:selectOneMenu>


                        <h:selectBooleanCheckbox  title="Restitución de Tierras" rendered="#{not empty desbloqueoPredio.selectedTipoBloqueo}"
                                                  value="#{desbloqueoPredio.selectedRestitucionTierras}" id="restitucionTierrasCheckBox" />
                        <h:outputLabel value="Restitución de Tierras" rendered="#{not empty desbloqueoPredio.selectedTipoBloqueo}"
                                       styleClass="outputLabelStyle" for="restitucionTierrasCheckBox" />                                   
                    </h:panelGrid>


                    <p:spacer height="3" width="0" />
                    <p:fieldset id="entidadOrdenaBloqueoFieldset" toggleable="false">
                        <legend>
                            <h:outputText value="Entidad que Ordena el  desmarque" styleClass="outputLabelStyle" />
                        </legend>
                        <p:spacer height="15" width="0" />						

                        <h:panelGrid columns="4" cellspacing="0" cellpadding="5">

                            <h:panelGroup>
                                <h:outputLabel value="Departamento:" styleClass="outputLabelStyle"  />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGroup>                                            
                            <h:panelGrid columns="2"  >
                                <h:selectOneMenu id="busquedaEntidadesDepartamento"  
                                                 label="Debe seleccionar el departamento donde se encuentra ubicada la oficina que realiza el desmarque del predio."  required="true" 
                                                 value="#{desbloqueoPredio.selectedDepartamento}">
                                    <f:selectItem itemLabel="Todos" itemValue="" />
                                    <f:selectItems
                                        value="#{desbloqueoPredio.deptosEntidadItemList}" />
                                    <p:ajax listener="#{desbloqueoPredio.actualizarMunicipiosBuscardorListener}"
                                            update="busquedaEntidadesMunicipio" onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();" />                                                    
                                </h:selectOneMenu>
                            </h:panelGrid>   

                            <h:panelGroup>
                                <h:outputLabel value="Municipio" styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGroup>
                            <h:panelGrid columns="2">                                            
                                <h:selectOneMenu id="busquedaEntidadesMunicipio" label="Debe seleccionar el municipio donde se encuentra ubicada la oficina que realiza el desmarque del predio."  required="true"
                                                 value="#{desbloqueoPredio.selectedMunicipio}">
                                    <f:selectItem itemLabel="Seleccionar" itemValue="" />
                                    <f:selectItems value="#{desbloqueoPredio.municipiosBuscadorItemList}" />

                                    <p:ajax listener="#{desbloqueoPredio.cargarEntidades}"
                                            update=":msgsDBP,entidadOrdenaBloqueo" onstart="statusDialog2.show();"
                                            oncomplete="statusDialog2.hide();" />                                                    

                                </h:selectOneMenu>
                            </h:panelGrid>                                               
                        </h:panelGrid>   


                        <h:panelGrid columns="5" cellspacing="0" cellpadding="5">
                            <h:outputLabel value="Entidad:" styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            <h:selectOneMenu id="entidadOrdenaBloqueo"
                                             label="Debe seleccionar la entidad  que realiza el desmarque del predio." required="true"
                                             value="#{desbloqueoPredio.idEntidadBloqueo}">
                                <f:selectItems value="#{desbloqueoPredio.entidades}" />
                            </h:selectOneMenu>
                            <p:message for="entidadOrdenaBloqueo" display="icon" id="entidadOrdenaBloqueoMsg" />
                        </h:panelGrid>

                    </p:fieldset>	


                    <p:spacer height="3" width="0" />
                </h:panelGrid>


                <h:panelGrid columns="3"> 
                    <h:panelGrid columns="5" cellspacing="7">
                        <h:outputLabel value="Fecha envio: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <p:spacer width="1" height="0" />                                

                        <p:calendar id="fechaEnvio"
                                    value="#{desbloqueoPredio.prediosDesbloqueoSeleccionados.fechaEnvioDesbloqueo}" navigator="true"
                                    requiredMessage="Falta registrar la fecha de envío, verifique." pattern="dd/MM/yyyy"
                                    showOn="both" title="#{general.formatoFechaUsuario}"
                                    tabindex="0" effect="slideDown" size="15" required="true" maxdate="#{general.fechaActual}"  />
                        <p:message for="fechaEnvio" display="icon"></p:message>
                    </h:panelGrid>


                    <h:panelGrid columns="5" cellspacing="7">
                        <h:outputLabel value="Fecha Recibido: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <p:spacer width="1" height="0" />   
                        <p:calendar id="fechaRecibido"
                                    value="#{desbloqueoPredio.prediosDesbloqueoSeleccionados.fechaRecibidoDesbloqueo}" navigator="true"
                                    requiredMessage="La fecha de recibido es obligatoria, por favor registrar." pattern="dd/MM/yyyy" showOn="both"
                                    title="#{general.formatoFechaUsuario}" tabindex="0"
                                    effect="slideDown" required="true" size="15"
                                    maxdate="#{general.fechaActual}" />
                        <p:message for="fechaRecibido" display="icon"></p:message>
                    </h:panelGrid>


                    <h:panelGrid columns="3">
                        <h:outputLabel value="Número Radicación:"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />

                        <p:inputText id="numeroRadicacion" required="true"
                                     value="#{desbloqueoPredio.prediosDesbloqueoSeleccionados.numeroRadicacionDesbloqueo}"
                                     requiredMessage="No ha registrado número de radicación, verifique." 

                                     maxlength="30" style="width:170px;height:14px;">

                        </p:inputText> 
                    </h:panelGrid>	                            

                </h:panelGrid>                            

                <h:panelGrid columns="5" cellspacing="7">
                    <h:outputLabel value="Fecha de desmarque: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    <p:spacer width="1" height="0" />
                    <p:calendar id="fechaFinalDesbloqueo"
                                value="#{desbloqueoPredio.prediosDesbloqueoSeleccionados.fechaDesbloqueo}"
                                navigator="true" required="true"
                                requiredMessage="Debe seleccionar la fecha del desmarque"
                                pattern="#{general.formatoFechaHora}" showOn="both"
                                title="#{general.formatoFechaUsuario}" tabindex="0"
                                effect="slideDown" size="15" >
                    </p:calendar>
                    <p:message for="fechaFinalDesbloqueo" display="icon"></p:message>
                </h:panelGrid>            


                <h:panelGrid columns="2" cellspacing="7">
                    <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
                    <h:outputText
                        value="Las extensiones válidas del archivo de soporte son pdf, tif, png, jpg y jpeg."
                        styleClass="noteTextStyle" />
                    <p:spacer height="0" width="30" />
                    <p:fileUpload id="fDesbloquearPredios"
                                  fileUploadListener="#{desbloqueoPredio.archivoUpload}"
                                  required="true" dragDropSupport="true"
                                  invalidFileMessage="El tipo de archivo seleccionado no es valido."
                                  label="Cargar documento soporte" auto="true"
                                  requiredMessage="Debe cargar un documento de soporte."
                                  invalidSizeMessage="El archivo seleccionado supera el tamaño permitido."
                                  uploadLabel="Subir documento" cancelLabel="Cancelar"
                                  mode="advanced" sizeLimit="1024000"
                                  allowTypes="/(\.|\/)(pdf|dwg|tif|png|jp[e]?g)$/"
                                  update="panelDocSop3, fDesbloquearPredios,:msgsDBP"
                                  onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                </h:panelGrid>

                <h:panelGrid columns="3" cellspacing="7" id="panelDocSop3">
                    <p:commandLink title="Documento de soporte:"
                                   value="#{desbloqueoPredio.documentoSoporteDesbloqueo.archivo}"
                                   update=":docVDocSoporte:docViewerCCForm"
                                   styleClass="commandLinkStyle"
                                   oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                                   onstart="statusDialog2.show()"
                                   rendered="#{not empty desbloqueoPredio.documentoSoporteDesbloqueo.archivo}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoTemporal}"
                            value="#{desbloqueoPredio.documentoSoporteDesbloqueo}" />
                    </p:commandLink>
                </h:panelGrid>



                <h:panelGrid columns="2" cellspacing="7">
                    <h:outputLabel value="Motivo de desmarque: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                </h:panelGrid>

                <h:panelGrid columns="3">
                    <h:inputTextarea onkeydown="controlarNroChars(this, 250, true)"
                                     onkeyup="controlarNroChars(this, 250, true)"
                                     value="#{desbloqueoPredio.prediosDesbloqueoSeleccionados.motivoDesbloqueo}"
                                     requiredMessage="Debe escribir el motivo del desmarque."
                                     id="motivoDesbloqueo" label="Motivo de desmarque" required="true" rows="2"
                                     cols="50" />
                    <p:message for="motivoDesbloqueo" display="icon"></p:message>
                </h:panelGrid>

                <p:spacer width="0" height="13" />


            </h:panelGrid>

            <p:outputPanel layout="block" style="text-align:left" rendered="#{desbloqueoPredio.banderaGestionDesbloqueoPredio and !desbloqueoPredio.banderaBuscar}">

                <p:spacer width="13" height="0" />
                <p:commandButton value="Guardar"
                                 action="#{desbloqueoPredio.desbloquearPB}" id="btnGuardarDesbloqueos"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();
                                 handleCompleteSIC(xhr, status, args, guardarPredioDesbloqueoWV, true);"
                                 update=":bloquearPredioForm:res,:msgsDBP,:bloquearPredioForm:panelListaPrediosDesbloqueo, :mensajeConfirmacion:confirmationDialogCCForm"
                                 icon="ui-icon-disk"
                                 />

                <p:spacer width="13" height="0" />
                <p:commandButton value="volver" immediate="true" ajax="false"
                                 icon="ui-icon-close"  action="#{desbloqueoPredio.cerrarCargaDocumentosDesbloqueo}"
                                 update = ":bloquearPredioForm:panelListaPrediosDesbloqueo, :bloquearPredioForm:gestionDesbloqueoPredios"/>

            </p:outputPanel>

            <p:spacer height="0" width="30" />

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                 action="#{tareasPendientes.cerrar}" ajax="false" immediate="true" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>

        <misc:confirmationDialogWithCloseDecisionCC id="mensajeConfirmacion"
                                                    confirmMessage="#{desbloqueoPredio}" confirmUpdate="msgInfoFis"
                                                    confirmAction="#{desbloqueoPredio.terminarYDesbloquearOtraP}"
                                                    noAction="#{desbloqueoPredio.terminar}"
                                                    confirmDialogWV="guardarPredioDesbloqueoWV" ajaxBehavior="false" />

        <misc:docViewerWithCloseDecisionCC id="docVDocSoporte"
                                           confirmMessage="#{previsualizacionDocumento}"
                                           confirmUpdate=":msgsDBP"
                                           confirmAction="#{previsualizacionDocumento.cerrarVistaPreliminarDocumento}"
                                           confirmDialogWV="docViewerDSWV" ajaxBehavior="true"
                                           noRendered="false" yesLabel="Aceptar"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           doctypeAtt="#{previsualizacionDocumento.tipoMimeDocumento}"
                                           headerLabel="Documento soporte de desmarque de persona(s)." />

    </ui:define>
</ui:composition>